[start]
start_tag = amlogic_start

[version]
version = 2.0
date = 2019.5.29

#----amlogic audio effect----

[Balance]
balance_enable = 1
#level table num
balance_num = 51
# unit: dB
balance_level = {
-115.0, -34.5, -31.5, -28.5, -25.5,
-22.5, -21.0, -19.5, -18.0, -16.5,
-15.0, -13.5, -12.0, -10.75, -9.75,
-8.75, -7.75, -6.75, -5.75, -4.75,
-3.75, -2.75,  -1.75,  -1.0,  -0.5,
0.0,
-0.5,  -1.0,  -1.75,  -2.75,  -3.75,
-4.75, -5.75, -6.75, -7.75, -8.75,
-9.75, -10.75, -12.0, -13.5, -15.0,
-16.5, -18.0, -19.5, -21.0, -22.5,
-25.5, -28.5, -31.5, -34.5, -115.0
};

[TrebleBass]
treble_bass_enable = 1

[Hpeq]
hpeq_enable = 1
hpeq_modenum = 6
hpeq_bandnum = 5
#Sound Mode: {<standard> <music> <news> <movie> <game> <user>}
hpeq_config = {
  0,  0,  0,  0,  0,
  3,  5,  3,  5,  0,
  0,  3,  3,  0,  0,
  2,  6,  6,  2,  3,
  6, -2, -2,  6, -3,
  0,  0,  0,  0,  0,
};

[VirtualSurround]
VS_enable = 1
Surround_level = 50

[Avl]
Avl_enable = 1
#{Avl:<peak_level><dynamic_threshold><noise_threshold><response_time><release_time>}
avl_paramnum = 5
avl_config = {-12, -40, -60, 100, 2000};

#----third party audio effect----

[TruSurround]
enable = 1
bypass_gain = 0.0
# {Truebass: <enable> <mode> <speaksize> <gain>} {Definition: <enable> <gain>} {TruSurround: <enable> <gain>} {gain: <input_gain> <out_put_gain> <gain_compensation>}
surround_mode_on =   1, 0, 4, 0.25,  1, 0.08,  1, 0.4,  0.13, 1.0, 0.0
surround_mode_off =  1, 1, 4, 0.25,  0, 0.0,   0, 0.0,  0.1, 1.0, 0.0
# DialogClarity Mode: {DialogClarity: <enable> <gain>}
dialogclarity_mode_off =  0, 0.0
dialogclarity_mode_low =  1, 0.15
dialogclarity_mode_high = 1, 0.3

[Virtualx]
enable = 1
#{virtualxlib:<enable><inputmode><outputmode><headroomgain><outputgain>}
virtuallibx = 1, 0, 0, 1.0, 1.0
#{Trusurround:<enable><passvmtrxenable><horiznteffectctrl><frontctrl><surroundctrl><lprtoctrmixgain><heightmixcoeff><ctrgain><heightdiscard><discard><hghtupmixenable>
#{Definition:<enable><level>}#{TBHDX:<enable><moonmode><speakersize><tempgain><maxgain><hporder><hpenable>}
surround_mode_on = 1, 1, 0, 1.0, 1.0, 1.0, 1.0, 1.0, 0, 0, 1, 1, 0.4, 1, 0, 2, 0.3339, 0.3, 4, 1
surround_mode_off = 1, 1, 0, 1.0, 1.0, 1.0, 1.0, 1.0, 0, 0, 1, 0, 0.4, 0, 0, 2, 0.3339, 0.3, 4, 1
#{DC:<enable><level>}
dialogclarity_mode_off =  0, 0.0
dialogclarity_mode_low =  1, 0.15
dialogclarity_mode_high = 1, 0.3
#{MBHL:<enable><bypassgain><reflevel><volume><volumestep><balancestep><outputgain><boost><threshold><slowoffset><fastattack><fastrelease><slowattack><slowrelease>...}
mbhl = 1, 1.0, 1.0, 1.0, 100, 0, 1.0, 1.0, 1.0, 1.0, 5, 50, 500, 500, 8, 20, 0, 7, 15, 5, 250, 4.0, 0.501, 1.0, 250, 4.0, 0.501, 1.0, 250, 4.0, 0.501, 1.0
#{Truvolume:<enable><level><preset>
truvolume = 1, -10, 0
#{aeq:<enble><discard><inputgain><outputgain><bypassgain>
aeq = 1, 0, 1.0, 1.0, 1.0
#{bandnum:<max 12 band>
aeq_bandnum = 5
fc = 100, 300, 1000, 3000, 10000


[DAP]
# Part1: UI related parameters
# {dap_enable:0=disable,1=enable}
dap_enable = 1
# {dap_effect_mode:0=disable,1=autopilot,2=movie,3=music,4=night,5=custom}
dap_effect_mode = 1
# {dap_vol_leveler:<enable>,<value> (0=disable/1=enable),(min=0/default=7/max=10)}
dap_vol_leveler = 1, 7
# {dap_dialog_enhance:<enable>,<value> (0=disable/1=enable),(min=0/default=0/max=16)}
dap_dialog_enhance = 1, 0
# {dap_virtual_surround:<value> (min=0/default=0/max=6)}
dap_virtual_surround = 0
# {dap_GEQ_mode:0=disable,1=default,2=open,3=rich,4=focused,5=user}
dap_GEQ_mode = 1
# dap_GEQ (min=-10/default=0/max=10)
dap_GEQ_gain = {
0, 0, 0, 0, 0
};

[DBX]
enable = 1
mode = 0, 0, 0

# Part2: tuning parameters
pregain = 0
postgain = 0
systemgain = 0
headphone_reverb = 0
speaker_angle = 10
speaker_start = 20
mi_ieq_enable = 0
mi_dv_enable = 0
mi_de_enable = 0
mi_surround_enable = 0
calibration_boost = 0
leveler_input = -384
leveler_output = -384
modeler_enable = 0
modeler_calibration = 0,
ieq_enable = 0
ieq_amount = 10
ieq_nb_bands = 20
a_ieq_band_center = {
65, 136, 223, 332, 467, 634, 841, 1098, 1416, 1812,
2302, 2909, 3663, 4598, 5756, 7194, 8976, 11186, 13927, 17326
};
a_ieq_band_target = {
117, 133, 188, 176, 141, 149, 175, 185, 185, 200,
236, 242, 228, 213, 182, 132, 110, 68, -27, -240
};
de_ducking = 0
volmax_boost = 0
optimizer_enable = 0
ao_bands = 20
ao_band_center_freq = {
47, 141, 234, 328, 469, 656, 844, 1031, 1313, 1688,
2250, 3000, 3750, 4688, 5813, 7125, 9000, 11250, 13875, 19688
};
ao_band_gains_ch1 = {
0, 0, 0, 0,  0, 0, 0, 0, 0, 0,
0, 0, 0, 0,  0, 0, 0, 0, 0, 0
};
ao_band_gains_ch2 = {
0, 0, 0, 0,  0, 0, 0, 0, 0, 0,
0, 0, 0, 0,  0, 0, 0, 0, 0, 0
};
ao_band_gains_ch3 = {
0, 0, 0, 0,  0, 0, 0, 0, 0, 0,
0, 0, 0, 0,  0, 0, 0, 0, 0, 0
};
ao_band_gains_ch4 = {
0, 0, 0, 0,  0, 0, 0, 0, 0, 0,
0, 0, 0, 0,  0, 0, 0, 0, 0, 0
};
ao_band_gains_ch5 = {
0, 0, 0, 0,  0, 0, 0, 0, 0, 0,
0, 0, 0, 0,  0, 0, 0, 0, 0, 0
};
ao_band_gains_ch6 = {
0, 0, 0, 0,  0, 0, 0, 0, 0, 0,
0, 0, 0, 0,  0, 0, 0, 0, 0, 0
};
bass_enable = 0
bass_boost = 0
bass_cutoff = 0
bass_width = 0
ar_bands = 20
ar_band_center_freq = {
47, 141, 234, 328, 469, 656, 844, 1031, 1313, 1688,
2250, 3000, 3750, 4688, 5813, 7125, 9000, 11250, 13875, 19688
};
ar_low_thresholds = {
-192, -192, -192, -192, -192, -192, -192, -192, -192, -192,
-192, -192, -192, -192, -192, -192, -192, -192, -192, -192
};
ar_high_thresholds = {
0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0
};
ar_isolated_bands = {
0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0
};
regulator_overdrive = 0
regulator_timbre = 12
regulator_distortion = 96
regulator_mode = 0
regulator_enable = 0
virtual_bass_mode = 0
virtual_bass_low_src_freq = 35
virtual_bass_high_src_freq = 160
virtual_bass_overall_gain = 0
virtual_bass_slope_gain = 0
virtual_bass_subgain = {
0, 0, 0};
virtual_bass_mix_low_freq = 0
virtual_bass_mix_high_freq = 0

[end]
end_tag = amlogic_end
